The original version of this page can be found at : http://forum.bullguard.com/forum/30/Steel-security-wont-work-help_90329.html
Posted By : jackinthebox - 12/5/2010 8:34 PM
it wont install on windows 7 64bit I only got it 2 days ago is there a version that will work.

Posted By : Tavi - 12/7/2010 6:00 PM
Hello Adrian,

I am sorry, but SteelSecurity is not compatible with Windows 7, it can only be used on Windows 2000, XP and Vista systems. If you want to you can use your SteelSecurity account with the latest BullGuard version.


Cheers,


Octavian Arvunescu
Senior Support Technician

Please read the forum rules before posting

Try BullGuard here

-->